Ticket #41931

Doxygen warning about req_vec_fix constructor parameters

Open Date: 2021-04-06 23:43 Last Update: 2021-04-16 16:39

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

New doxygen warning (since parameter has been recently renamed):

/work/freeciv/master/src/tools/ruledit/req_vec_fix.cpp:137: warning: argument 'item_info' of command @param is not found in the argument list of req_vec_fix::req_vec_fix(ruledit_gui *ui_in, req_vec_fix_item *item)

/work/freeciv/master/src/tools/ruledit/req_vec_fix.h:162: warning: The following parameter of req_vec_fix::req_vec_fix(ruledit_gui *ui_in, req_vec_fix_item *item) is not documented:

parameter 'item'

Ticket History (3/5 Histories)

2021-04-06 23:43 Updated by: cazfi
  • New Ticket "Doxygen warning about req_vec_fix(() constructor parameters" created
2021-04-06 23:43 Updated by: cazfi
  • Summary Updated
2021-04-12 19:15 Updated by: kvilhaugsvik
  • Owner Update from (None) to kvilhaugsvik
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.0-beta2 (closed)
2021-04-16 16:39 Updated by: kvilhaugsvik
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login